is.select {bio3d} | R Documentation

## Is an Object of Class ‘select’?

### Description

Checks whether its argument is an object of class ‘select’.

### Usage

    is.select(x)

### Arguments

`x` | an R object to be tested.

### Details

Tests if x is an object of class ‘select’, i.e. if x has a “class” attribute equal to `select`.

### Value

TRUE if x is an object of class ‘select’ and FALSE otherwise

### Author(s)

Julien Ide

### See Also

`atom.select`

### Examples

    # Read a PDB file
    pdb <- read.pdb( system.file("examples/1hel.pdb", package="bio3d") )

    # Print structure summary
    atom.select(pdb)

    # Select all C-alpha atoms with residues numbers between 43 and 54
    ca.inds <- atom.select(pdb, "calpha", resno=43:54)
    is.select(ca.inds)

[Package bio3d version 2.3-4 Index]